Package fr.gouv.vitam.worker.core.plugin.reclassification

# Class ReclassificationPreparationUpdateDistributionHandler

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.reclassification.ReclassificationPreparationUpdateDistributionHandler

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

public class ReclassificationPreparationUpdateDistributionHandler extends ActionHandler
Reclassification update distribution handler.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReclassificationPreparationUpdateDistributionHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkMandatoryIOParameter(HandlerIO handler)`
  Check mandatory parameter
  `ItemStatus`
  `execute(WorkerParameters param, HandlerIO handler)`
  Execute an action
  `static String`
  `getId()`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryParameters, close, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReclassificationPreparationUpdateDistributionHandler

    public ReclassificationPreparationUpdateDistributionHandler()

- ## Method Details

  - ### execute

    public ItemStatus execute(WorkerParameters param, HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Execute an action
    Overrides:
      `execute` in class `ActionHandler`
    Parameters:
      `param` - `WorkerParameters`
      `handler` - the handlerIo
    Returns:
      CompositeItemStatus:response contains a list of functional message and status code
    Throws:
      `ProcessingException` - if an error is encountered when executing the action

  - ### checkMandatoryIOParameter

    public void checkMandatoryIOParameter(HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Check mandatory parameter
    Overrides:
      `checkMandatoryIOParameter` in class `ActionHandler`
    Parameters:
      `handler` - input output list
    Throws:
      `ProcessingException` - when handler io is not complete

  - ### getId

    public static String getId()